Skip to main content
PATCH
Update a skill group

Authorizations

Authorization
string
header
required

A Recursion API key, created in the console under API keys.

Headers

x-tenant-id
string

Optional tenant consistency check. When present, it must name the tenant bound to the API key, including when x-organization-id is default.

Minimum string length: 1
x-organization-id
string

Organization in which to act. Required for a tenant-scoped API key. Optional for an organization-scoped key, where it must name that same organization. The value may be an organization id or default.

Minimum string length: 1

Path Parameters

skillGroupId
string<uuid>
required

Skill group id (UUID) as returned by managedAgentsCreateSkillGroup or managedAgentsListSkillGroups.

Body

application/json
description
string
displayTitle
string
metadata
object
name
string
Minimum string length: 1

Response

OK

createdAt
string<date-time>
required
read-only
name
string
required
organizationId
string
required
read-only
skillCount
integer<int64>
required
read-only
Required range: -9007199254740991 <= x <= 9007199254740991
skillGroupId
string
required
read-only
updatedAt
string<date-time>
required
read-only
description
string
displayTitle
string
metadata
object